Mail::SpamAssassin::Message::Metadata(3)

NAME
Mail::SpamAssassin::Message::Metadata - extract metadata from a message

DESCRIPTION
This class is tasked with extracting "metadata" from messages for use as Bayes tokens, fodder for eval tests, or other rules. Metadata is supplemental data inferred from the message, like the examples below.

It is held in two forms:

1. as name-value pairs of strings, presented in mail header format. For
  example, "X-Language" => "en". This is the general form for simple
  metadata that's useful as Bayes tokens, can be added to marked-up
  messages using "add_header", etc., such as the trusted-relay inference
  and language detection.

2. as more complex data structures on the $msg->{metadata} object. This
  is the form used for metadata like the HTML parse data, which is stored
  there for access by eval rule code. Because it's not simple strings,
  it's not added as a Bayes token by default (Bayes needs simple strings).

PUBLIC METHODS

new()